<?php

//	News Pomoroter Version 0.9.0

function PromoteTopic()
{
    global $topic, $board, $smcFunc;

	// Just quit if there's no topic to promote.
	if (empty($topic))
		fatal_lang_error('not_a_topic', false);

	checkSession('get');

    if (!allowedTo('np_can_promote'))
        redirectexit('topic=' . $topic . '.' . $_REQUEST['start']);

    // Is the topic already news?
	$request = $smcFunc['db_query']('', '
		SELECT news
		FROM {db_prefix}topics
		WHERE id_topic = {int:current_topic}
		LIMIT 1',
		array(
			'current_topic' => $topic,
		)
	);
	list ($news) = $smcFunc['db_fetch_row']($request);
	$smcFunc['db_free_result']($request);

    // Promote/Demote the topic
    $smcFunc['db_query']('', '
        UPDATE {db_prefix}topics
        SET news = {int:news}
        WHERE id_topic = {int:current_topic}',
        array(
            'current_topic' => $topic,
            'news' => empty($news) ? 1 : 0,
        )
    );

    logAction(empty($news) ? 'promoted' : 'demoted', array('topic' => $topic, 'board' => $board));

    // Back to the topic!
	redirectexit('topic=' . $topic . '.' . $_REQUEST['start']);
}

?>