<?php

/*******************************************************************************
	ATTENTION: If you are trying to install this manually, you should try
	the package manager. If that does not work, you can run this file by
	accessing it by url. Please ensure it is in the same location as your
	forum's SSI.php file.
*******************************************************************************/

//	News Pomoroter Version 0.9.0

//	If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	require_once(dirname(__FILE__) . '/SSI.php');
	$standalone = true;
}
//	Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s SSI.php.');

//	Make sure that we have the package database functions.
if(!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');

// Fix compatability issues
require_once('Compat.php');

// Add the column
$smcFunc['db_add_column']('topics', array('name' => 'news', 'type' => 'tinyint', 'size' => 3, 'default' => 0));

// Default settings
updateSettings(array('np_enabled' => 1, 'np_prefix' => '[News] '));

// Here we need to make it compatable for uninstalls from either bugs in SMF 2.0 packaging or me being noob
$smcFunc['db_query']('', '
    DELETE FROM {db_prefix}log_packages
    WHERE package_id = {string:id} AND
        (version = {string:v1})',
    array(
        'id' => 'NP',
        'v1' => '0.9.0',
    )
);

//	Show a confirmation message, if an upgrade through SSI.php was successful.
if(SMF == 'SSI')
   echo 'Database Upgrade Complete!';
   
?>
